Loading...
Searching...
No Matches
mbedtls_md_context_t Struct Reference

`#include <md.h>`

## Data Fields

const mbedtls_md_info_t * | private_md_info
void * | private_md_ctx
void * | private_hmac_ctx

## Detailed Description

The generic message-digest context.

Definition at line 122 of file md.h.

## Field Documentation

## private_hmac_ctx

void* mbedtls_md_context_t::private_hmac_ctx

The HMAC part of the context.

Definition at line 136 of file md.h.

## private_md_ctx

void* mbedtls_md_context_t::private_md_ctx

The digest-specific context (legacy) or the PSA operation.

Definition at line 132 of file md.h.

## private_md_info

const mbedtls_md_info_t* mbedtls_md_context_t::private_md_info

Information about the associated message digest.

Definition at line 124 of file md.h.

The documentation for this struct was generated from the following file:

- md.h